package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.personnelcard.Iframe;
import com.engine.organization.service.HrmPersonnelCardService;
import com.engine.organization.service.impl.HrmPersonnelCardServiceImpl;
import com.engine.organization.util.OrganizationWrapper;
import weaver.hrm.User;

import java.util.List;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/10/08
 * @version: 1.0
 */
public class PersonnelCardWrapper extends OrganizationWrapper {
    private HrmPersonnelCardService getHrmPersonnelCardService(User user) {
        return ServiceUtil.getService(HrmPersonnelCardServiceImpl.class, user);
    }


    public Map<String, Object> getPersonnelCard(Long uId) {
        return getHrmPersonnelCardService(user).getPersonnelCard(uId);
    }

    public List<Iframe> getIframeList() {
        return getHrmPersonnelCardService(user).getIframeList();
    }
}
